<?xml version="1.0" encoding="utf-8" ?>
<log4net>
    <root>
		<level value="ALL" />
		<appender-ref ref="console" />
		<appender-ref ref="all_logs_file" />
    </root>

	<!--the console appender-->
	<appender name="console" type="log4net.Appender.ConsoleAppender">
		<!--specifying the displayed layout-->
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value="%date %level %logger - %message%newline" />
		</layout>
	</appender>

	<!--a file appender for all logs-->
	<appender name="all_logs_file" type="log4net.Appender.FileAppender">
		<!--specifying the file-->
		<file value="c:\\logs\\all.log" />
		<!--specifying the displayed layout-->
		<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value="%date %level %logger - %message%newline" />
		</layout>
	</appender>
	
</log4net>